<?php
require_once ESCOOT_MODULE_DIR . '/plugins/class-tgm-plugin-activation.php';

if( !function_exists('escoot_register_required_plugins') ) {

    function escoot_register_required_plugins() {

        $url = 'https://api.wordpress.org/plugins/info/1.0/unyson';
        $api_response = wp_remote_get( $url );
        if ( is_array( $api_response ) && ! is_wp_error( $api_response ) ) {
            if( isset($api_response['response']) && !empty($api_response['response']) ) {
                if ( 404 == $api_response['response']['code'] && 'Not Found' == $api_response['response']['message'] ) {
                    $unyson_plugin = array(
                        array(
                            'name'               => esc_html__('Unyson', 'escoot'),
                            'slug'               => 'unyson',
                            'source'             => ESCOOT_MODULE_DIR . '/plugins/unyson.zip',
                            'required'           => true,
                            'version'            => '2.7.28',
                            'force_activation'   => false,
                            'force_deactivation' => false,
                        )
                    );
                } else {
                    $unyson_plugin = array(
                        array(
                            'name'     => esc_html__('Unyson', 'escoot'),
                            'slug'     => 'unyson',
                            'required' => true,
                        )
                    );
                }
            }
        }

        $plugins = array(
            array(
                'name'               => esc_html__('DesignThemes Framework', 'escoot'),
                'slug'               => 'designthemes-framework',
                'source'             => ESCOOT_MODULE_DIR . '/plugins/designthemes-framework.zip',
                'required'           => true,
                'version'            => '1.5',
                'force_activation'   => false,
                'force_deactivation' => false,
            ),    
            array(
                'name'               => esc_html__('DesignThemes Theme', 'escoot'),
                'slug'               => 'designthemes-theme',
                'source'             => ESCOOT_MODULE_DIR . '/plugins/designthemes-theme.zip',
                'required'           => false,
                'version'            => '1.6',
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('DesignThemes Shop', 'escoot'),
                'slug'               => 'designthemes-shop',
                'source'             => ESCOOT_MODULE_DIR . '/plugins/designthemes-shop.zip',
                'required'           => false,
                'version'            => '1.0',
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('DesignThemes Portfolio', 'escoot'),
                'slug'               => 'designthemes-portfolio',
                'source'             => ESCOOT_MODULE_DIR . '/plugins/designthemes-portfolio.zip',
                'required'           => false,
                'version'            => '1.1',
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('DesignThemes Twitter', 'escoot'),
                'slug'               => 'designthemes-twitter',
                'source'             => ESCOOT_MODULE_DIR . '/plugins/designthemes-twitter.zip',
                'required'           => false,
                'version'            => '1.0',
                'force_activation'   => false,
                'force_deactivation' => false,
            ),
            array(
                'name'               => esc_html__('DesignThemes Flickr', 'escoot'),
                'slug'               => 'designthemes-flickr',
                'source'             => ESCOOT_MODULE_DIR . '/plugins/designthemes-flickr.zip',
                'required'           => false,
                'version'            => '1.0',
                'force_activation'   => false,
                'force_deactivation' => false,
            ),            
            array(
                'name'     => esc_html__('Elementor', 'escoot'),
                'slug'     => 'elementor',
                'required' => true,
            ),
            array(
                'name'     => esc_html__('Contact Form 7', 'escoot'),
                'slug'     => 'contact-form-7',
                'required' => false,
            )    
        );

        $plugins = array_merge( $unyson_plugin, $plugins );

        $args = array(
            'user-agent' => 'WordPress/' . get_bloginfo( 'version' ) . '; ' . network_site_url(),
            'timeout'    => 30,
        );
    
        $response   = wp_remote_get( 'http://wedesignthemes.com/plugins/designthemes/version-elementor-noslider.php', $args );
        $plugindata = json_decode( wp_remote_retrieve_body( $response ), true );
    
        if ( is_array( $plugindata ) && ! empty( $plugindata ) ) {
            $updated_plugin_list = array_merge( $plugindata, $plugins );
        } else {
            $updated_plugin_list = $plugins;
        }


        $config = array(
            'id'           => 'escoot',
            'default_path' => '',
            'menu'         => 'tgmpa-install-plugins',
            'has_notices'  => true,
            'dismissable'  => true,
            'dismiss_msg'  => '',
            'is_automatic' => false,
            'message'      => '',
        );
    
        tgmpa( $updated_plugin_list, $config );        
    }

    add_action( 'tgmpa_register', 'escoot_register_required_plugins' );
}