<?php
add_action( 'escoot_after_main_css', 'sidebar_style' );
function sidebar_style() {
    wp_enqueue_style( 'escoot-secondary', get_theme_file_uri('/modules/sidebar/assets/css/sidebar.css'), false, ESCOOT_THEME_VERSION, 'all');
}

if( !function_exists( 'escoot_get_primary_classes' ) ) {
	function escoot_get_primary_classes() {
		return apply_filters( 'escoot_primary_classes', 'content-full-width' );
	}
}

if( !function_exists( 'escoot_get_secondary_classes' ) ) {
	function escoot_get_secondary_classes() {
		return apply_filters( 'escoot_secondary_classes', '' );
	}
}

if( !function_exists( 'escoot_get_active_sidebars' ) ) {
	function escoot_get_active_sidebars() {
		return apply_filters( 'escoot_active_sidebars', [ 'name' => esc_html__( 'Main Sidebar', 'escoot' ), 'id' => 'sidebar-main'] );
	}
}

add_action( 'widgets_init', 'escoot_sidebars' );
function escoot_sidebars() {
	$sidebars = apply_filters( 'escoot_active_sidebars', [ 'name' => esc_html__( 'Main Sidebar', 'escoot' ), 'id' => 'sidebar-main'] );

	if( !empty( $sidebars ) && ( ! class_exists( 'DesignThemesFrameworkWidgetArea' ) ) ){
		register_sidebar( $sidebars );
	}
}

$active_sidebars = escoot_get_active_sidebars();
foreach( $active_sidebars as $active_sidebar ) {
	if( is_active_sidebar( $active_sidebar ) && ( ! class_exists( 'DesignThemesFrameworkWidgetArea' ) ) ) {
		add_filter( 'escoot_primary_classes', function() { return 'page-with-sidebar with-right-sidebar'; } );
		add_filter( 'escoot_secondary_classes', function() { return 'secondary-sidebar secondary-has-right-sidebar'; } );
	}
}