<?php
use DTElementor\Widgets\DTElementorWidgetBase;
use Elementor\Controls_Manager;
use Elementor\Utils;

class Elementor_Post_Tags extends DTElementorWidgetBase {

    public function get_name() {
        return 'dt-post-tags';
    }

    public function get_title() {
        return esc_html__('Post - Tags', 'designthemes-theme');
    }

    public function get_icon() {
		return 'fa fa-tags';
	}

    protected function register_controls() {

        $this->start_controls_section( 'dt_section_general', array(
            'label' => esc_html__( 'General', 'designthemes-theme'),
        ) );

            $this->add_control( 'style', array(
                'type'    => Controls_Manager::SELECT,
				'label'   => esc_html__('Style', 'designthemes-theme'),
                'default' => '',
                'options' => array(
                    ''  => esc_html__('Default', 'designthemes-theme'),
                    'meta-elements-space'		 => esc_html__('Space', 'designthemes-theme'),
                    'meta-elements-boxed'  		 => esc_html__('Boxed', 'designthemes-theme'),
                    'meta-elements-boxed-curvy'  => esc_html__('Curvy', 'designthemes-theme'),
                    'meta-elements-boxed-round'  => esc_html__('Round', 'designthemes-theme'),
					'meta-elements-filled'  	 => esc_html__('Filled', 'designthemes-theme'),
					'meta-elements-filled-curvy' => esc_html__('Filled Curvy', 'designthemes-theme'),
					'meta-elements-filled-round' => esc_html__('Filled Round', 'designthemes-theme'),
                ),
            ) );

            $this->add_control( 'el_class', array(
                'type'        => Controls_Manager::TEXT,
                'label'       => esc_html__('Extra class name', 'designthemes-theme'),
                'description' => esc_html__('Style particular element differently - add a class name and refer to it in custom CSS', 'designthemes-theme')
            ) );

        $this->end_controls_section();

    }

    protected function render() {

        $settings = $this->get_settings_for_display();

        extract($settings);

		$out = '';

        global $post;
        $post_id =  $post->ID;

        $Post_Style = escoot_get_single_post_style( $post_id );

        $template_args['post_ID'] = $post_id;
        $template_args['post_Style'] = $Post_Style;

		$out .= '<div class="entry-tags-wrapper '.$style.' '.$el_class.'">';
            $out .= escoot_get_template_part( 'post', 'templates/'.$Post_Style.'/parts/tag', '', $template_args );
		$out .= '</div>';

		echo $out;
	}

    protected function _content_template() {
    }
}